## cjdns-22-1.src.tar.gz

=== node_build/dependencies/libuv/samples/socks5-proxy/Makefile ===
# Copyright StrongLoop, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

BUILDTYPE ?= Debug
BUILDDIR ?= build
GYP ?= gyp
V ?=

SOURCES := client.c defs.h getopt.c main.c s5.c s5.h server.c util.c

.PHONY: all clean

all: $(BUILDDIR)/$(BUILDTYPE)/s5-proxy

clean:
	$(RM) $(BUILDDIR)

$(BUILDDIR)/$(BUILDTYPE)/s5-proxy: $(BUILDDIR)/Makefile $(SOURCES)
	$(MAKE) -C $(BUILDDIR) V=$(V)

$(BUILDDIR)/Makefile: ../../common.gypi build.gyp
	$(GYP)	\
		-Dlibrary=static_library \
		-Goutput_dir=. \
		-I../../common.gypi \
		-f make \
		--depth=. \
		--generator-output=$(BUILDDIR) \
		build.gyp
