=== debian/changelog ===
cjdns (0.20) unstable; urgency=low

  * New upstream release.
  * Provide dbgsym package.
  * Fix install of cjdns-resume.service.

 -- Valentin Lorentz <progval+deb@progval.net>  Sun, 11 Jun 2017 11:49:00 +0200

cjdns (0.17.1) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Mon, 01 Dec 2015 15:25:41 +0200

cjdns (0.12) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Mon, 15 Dec 2014 04:21:39 +0300

cjdns (0.7) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Tue, 06 May 2014 13:25:49 +0400

cjdns (0.6) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Tue, 21 Jan 2014 00:53:59 +0400

cjdns (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Sat, 27 Apr 2013 22:56:48 +0400
