=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --with systemd

override_dh_auto_configure:
	debian/do-wrapper

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='cjdns-dbg (<< 0.20~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/cjdns

override_dh_installinit:
	dh_installinit --name=cjdns
	dh_installinit --name=cjdns-resume
